> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Safe Wallet Information

> Fetches contract/on-chain information for a legacy Safe wallet via RPC (eth_getCode through Alchemy).

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-safe-wallet-information
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-safe-wallet-information:
    post:
      operationId: getSafeWalletInformation
      summary: Get Safe Wallet Information
      x-toku-required-scope: wallets:read
      description: >-
        Fetches contract/on-chain information for a legacy Safe wallet via RPC
        (eth_getCode through Alchemy).


        Required scope: `wallets:read`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetSafeWalletInformationRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSafeWalletInformationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetSafeWalletInformationRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        safeWalletID:
          type: string
          format: uuid
        cursor:
          type: object
          properties:
            safeWalletID:
              type: string
              format: uuid
          required:
            - safeWalletID
        limit:
          type: integer
          minimum: 1
          maximum: 20
    GetSafeWalletInformationResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        walletInfo:
          type: object
          properties:
            type:
              type: string
              enum:
                - safe
                - EOA
                - Smart Contract
            network:
              type: string
            safeInfo:
              type: object
              properties:
                label:
                  type: string
                nonce:
                  type: number
                threshold:
                  type: number
                signers:
                  type: array
                  items:
                    type: string
              required:
                - label
                - nonce
                - threshold
                - signers
          required:
            - type
            - network
      required:
        - success
        - walletInfo
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
